import createAxios from '/@/utils/axios'
import {order} from '/@/api/controllerUrls'

export function detail(data: any) {
    return createAxios({
        url: order + 'detail',
        method: 'get',
        params:data,
    })
}

export function sendRecord(data: any) {
    return createAxios({
        url: order + 'deliver/detail',
        method: 'get',
        params:data,
    })
}


export function getExpressList() {
    return createAxios({
        url: order + 'express/list',
        method: 'get'
    })
}

export function expressPost(data:any) {
    return createAxios({
        url: order + 'deliver',
        method: 'post',
        data:data
    })
}

export function signInPost(data:any) {
    return createAxios({
        url: order + 'deliver/confirm',
        method: 'post',
        data:data
    })
}

export function editExpressInPost(data:any) {
    return createAxios({
        url: order + 'deliver/edit',
        method: 'post',
        data:data
    })
}

export function getAftersale(data:any) {
    return createAxios({
        url: order + 'refund/index',
        method: 'get',
        params:data
    })
}


export function getCouponDetail(data:any) {
    return createAxios({
        url: order + 'coupon/detail',
        method: 'get',
        params:data
    })
}

export function editOrderPost(data:any) {
    return createAxios({
        url: order + 'edit',
        method: 'post',
        data:data
    })
}



